:: Disclaimer: scripts are provided as-is and most of them use tools that are open source
:: or require a (small) license fee when used in a commercial environment. It is the 
:: responsibility of the end user that use scripts to respect the license agreement for
:: these tools. EFI can not be held responsible in any way if scripts don't behave like
:: they should do resulting in any form of financial loss or downtime. Have a good day.  

@echo off

:: Script that appends a string to jobname and copies to JobFlow workflow
:: Hans Sep, October 2017

:: User Defined Arguments
:: Note to self: get drive from jobflow job
set pathWorkflow=%~d3\SmartFolders\%~1
set txtAppend=%~2
set txtExtension=%~x3

:: Fiery JobFlow provided arguments
set INPUT=%~3
set OUTPUT=%~4
set JOBNAME=%~n5
set WORKFLOW=%~6
set PREFLIGHT=%~7
set VAULT=%~8
::Static arguments
set pathScript=%~dp0
set ScriptName=%~n0
set pathLog=%VAULT%\%ScriptName%.log
set pathInclude=%pathScript%\_include

:: Static arguments
set BaseScriptPath=%~dp0
set LOG=%BaseScriptPath%\%~n0.log
set EXT=%~x3

:: Check User Arguments 
if /i "%pathWorkFlow%" equ "" call :missing_workflow & exit /b 1
if not exist "%pathWorkFlow%" call :missing_workflow & exit /b 1

:main
call :append_copy
call :next_module

:success
exit /b 0

:append_copy

copy /Y "%INPUT%" "%pathWorkFlow%\%JOBNAME%-%AppendText%%txtExtension%"
goto :EOF

:next_module
copy /y "%INPUT%" "%OUTPUT%\%JOBNAME%"
>>%pathLog% echo %DATE% %TIME% [INFO] Copied %INPUT% to %OUTPUT%\%JOBNAME%
goto :EOF

:missing_workflow
>>%pathLog% echo %DATE% %TIME% [ERROR] Workflow path is empty or %pathWorkflow% does not exist. Exit script.
goto :EOF